From 9f0fedf6fa75ef4fffde2272a587d4b0bf799344 Mon Sep 17 00:00:00 2001
From: Mahendra Singh Thalor <mahi6run@gmail.com>
Date: Tue, 31 Mar 2020 20:04:16 -0700
Subject: [PATCH] Fix warning in compute_parallel_delay for Coverity

---
 src/backend/commands/vacuum.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/commands/vacuum.c b/src/backend/commands/vacuum.c
index 59731d687f..3a89f8fe1e 100644
--- a/src/backend/commands/vacuum.c
+++ b/src/backend/commands/vacuum.c
@@ -2077,7 +2077,7 @@ compute_parallel_delay(void)
 	VacuumCostBalanceLocal += VacuumCostBalance;
 
 	if ((shared_balance >= VacuumCostLimit) &&
-		(VacuumCostBalanceLocal > 0.5 * (VacuumCostLimit / nworkers)))
+		(VacuumCostBalanceLocal > 0.5 * ((double) VacuumCostLimit / nworkers)))
 	{
 		/* Compute sleep time based on the local cost balance */
 		msec = VacuumCostDelay * VacuumCostBalanceLocal / VacuumCostLimit;
-- 
2.17.1

